/*

 MikMod driver for SoundPlay
 by Marco Nelissen (marcone@xs4all.nl)

*/


#include <mikmod_internals.h>

static BOOL soundplay_IsThere(void)
{
    return 1;
}

static void soundplay_Update(void)
{
   
}

static BOOL soundplay_Reset(void)
{
    return 1;
}

MDRIVER drv_soundplay={
    NULL,
    "SoundPlay output driver",
    "SoundPlay output driver. By Marco Nelissen (marcone@xs4all.nl)",
    0,255,
    soundplay_IsThere,
    VC_SampleLoad,
    VC_SampleUnload,
    VC_SampleSpace,
    VC_SampleLength,
    VC_Init,
    VC_Exit,
    soundplay_Reset,
    VC_SetNumVoices,
    VC_PlayStart,
    VC_PlayStop,
    soundplay_Update,
    NULL,
    VC_VoiceSetVolume,
    VC_VoiceGetVolume,
    VC_VoiceSetFrequency,
    VC_VoiceGetFrequency,
    VC_VoiceSetPanning,
    VC_VoiceGetPanning,
    VC_VoicePlay,
    VC_VoiceStop,
    VC_VoiceStopped,
    VC_VoiceGetPosition,
    VC_VoiceRealVolume
};


